cascading.util

## Class EnumMultiMap<V>

- java.lang.Object
- - cascading.util.MultiMap<java.util.Set<V>,K,V>
  - - cascading.util.SetMultiMap<java.lang.Enum,V>
    - - cascading.util.EnumMultiMap<V>

All Implemented Interfaces:
  java.io.Serializable

    public class EnumMultiMap<V>
    extends SetMultiMap<java.lang.Enum,V>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EnumMultiMap()`
`EnumMultiMap(EnumMultiMap map)`

### Method Summary

Methods
`protected java.util.Set<V>` `createCollection()`
`protected java.util.Map<java.lang.Enum,java.util.Set<V>>` `createMap()`

### Methods inherited from class cascading.util.SetMultiMap

`emptyCollection`

### Methods inherited from class cascading.util.MultiMap

`addAll, addAll, addAll, containsKey, equals, getAllValues, getEntries, getKeys, getKeysFor, getMap, getMultiValues, getValues, getValues, hadKey, hashCode, hasKey, isEmpty, put, remove, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnumMultiMap

    public EnumMultiMap()

#### EnumMultiMap

    public EnumMultiMap(EnumMultiMap map)

### Method Detail

#### createMap

    protected java.util.Map<java.lang.Enum,java.util.Set<V>> createMap()

Overrides:
  `createMap` in class `SetMultiMap<java.lang.Enum,V>`

#### createCollection

    protected java.util.Set<V> createCollection()

Overrides:
  `createCollection` in class `SetMultiMap<java.lang.Enum,V>`